#
# spec file for package perl-Geography-Countries
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Geography-Countries
Version:        2009041301
Release:        lp150.1.9
%define cpan_name Geography-Countries
Summary:        2-letter, 3-letter, and numerical codes for countries
License:        MIT
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Geography-Countries/
Source0:        http://www.cpan.org/authors/id/A/AB/ABIGAIL/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
This module maps country names, and their 2-letter, 3-letter and numerical
codes, as defined by the ISO-3166 maintenance agency [1], and defined by
the UNSD.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README TODO

%changelog
* Fri Apr 17 2015 coolo@suse.com
- initial package $version
  * created by $NAME $VERSION
